update=false
recompile=true
+show_pkgs=false
while [[ $1 == -* ]]; do
case $1 in
--no-r) recompile=false; shift ;;
-u) update=true; shift ;;
+ -p) show_pkgs=true; shift ;;
--) break ;;
esac
done
# Og = optmize, but keep gdb working
export CFLAGS="-Og -g3"
-# gawk and attr were no longer automatically installed in stretch
-pi eatmydata
-logq sudo eatmydata apt-get -y install --purge --auto-remove texlive hunspell git gawk attr
+pkgs=(gawk attr autoconf-archive)
+if $show_pkgs; then
+ echo ${pkgs[*]}
+ for x in emacs25 maildir-utils; do
+ apt-rdepends --build-depends --follow=DEPENDS $x|sed -rn 's/^\s*Build-Depends: (\S+).*/\1/p'
+ done
+ exit 0
+fi
+
+
+# gawk and attr were no longer automatically installed in stretch,
+# looking back, i assume i got some error.
+# autoconf-archive due to come error
+pi ${pkgs[@]}
+
+
case $(distro-name) in
fedora )
- # before i learned the builddep command, i identified these
- # dependencies. Not sure if the builddep took care of them all
- # gtk3-devel libXpm-devel libjpeg-turbo-devel libtiff-devel giflib-devel ncurses-devel gnutls-devel libxml2-devel libotf-devel GConf2-devel gpm-devel librsvg2-devel ImageMagick-devel m17n-lib-devel libselinux-devel
-
logq s yum-builddep -y emacs
logq pi texlive-dvipng
;;&
debian|ubuntu|trisquel)
- # todo: unknown for other distros, this will fail
+ # todo: unknown for other distros, this will fail
logq p -y build-dep maildir-utils
-# due to autogen error message
-p install autoconf-archive
-
# oddly, on ubuntu 14.04 this installs postfix, but I dun care
# ubuntu 14.04 gave this error message
# Unable to satisfy the build-depends: Build-Depends: libpng-dev
# this is satisfied by dvipng. the build-dep is just wrong
- # minor bug I'm not going to bother reporting
- logq p -y build-dep emacs
- # fyi libmagick is broken right now because it uses a fork which is waiting for emacs to support it
- # not sure how many of these are satisfied by the prev command,
- # but from the log, it looks like none of them
- logq pi libacl1-dev libselinux-dev libm17n-dev libgtk-3-dev \
- librsvg2-dev libgpm-dev libgconf2-dev libotf-dev libxml2-dev \
- automake1.11 libgnutls28-dev libncurses-dev libxpm-dev libjpeg-dev \
- libgif-dev libtiff-dev texinfo dvipng
+ # minor bug I'm not going to bother reporting.
+ #
+ # note, useful command to see build dep packagages:
+ # apt-rdepends --build-depends --follow=DEPENDS emacs25
+ logq p -y build-dep emacs25
;;&
- debian)
- # included in dependencies on other distros, todo, check on ubuntu
- logq pi suckless-tools
- ;;
esac
s make install
# note uninstall is implemented
-logq emacs --batch -l ~/.emacs.d/init.el -l ~/.emacs.d/compile-init-dir.el
+if $recompile; then
+ # note, not totally sure its right to put this within recompile, but its taking up most of the time, so going for it.
+ logq emacs --batch -l ~/.emacs.d/init.el -l ~/.emacs.d/compile-init-dir.el
+fi
# as of 01-2017, built-in org mode has a bug that
# org-edit-src-exit does not get bound, so using latest
--- /dev/null
+#!/bin/bash -l
+
+set -eE -o pipefail
+trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
+
+
+# pithosfly environment var is set in environment.sh
+
+p -y build-dep pithos
+# other than pithos, based on failures
+pi pithos gstreamer1.0-plugins-ugly intltool python3-mutagen
+
+# from https://github.com/pithos/pithos/wiki/Installing-from-Source
+pi meson python3-gi python3-gi-cairo \
+ gir1.2-gstreamer-1.0 gir1.2-gst-plugins-base-1.0 gstreamer1.0-plugins-good gstreamer1.0-plugins-bad \
+ gir1.2-secret-1 libgdk-pixbuf2.0-dev libglib2.0-dev gnome-keyring appstream-util libappstream-glib-dev \
+ python3-pylast gir1.2-appindicator3-0.1 gir1.2-keybinder-3.0 gnome-icon-theme-symbolic libxml2-utils gvfs
+
+cd /a/opt/Pithosfly
+./autogen.sh
+make
+sudo make install